#!/bin/sh

# *****************************************************************************
# Set up the environment for this specific configuration.  Both
# CSMCLI_HOME and JAVA_HOME must be defined in environment variables.
# *****************************************************************************
CSMJDK="%[JAVA_HOME]%"
CSMCLI="%[CSMCLI_HOME]%"
[ x"${LD_LIBRARY_PATH}" == x ] && LD_LIBRARY_PATH="${CSMCLI}/lib" || LD_LIBRARY_PATH="${CSMCLI}/lib":"${LD_LIBRARY_PATH}"; export LD_LIBRARY_PATH

# *****************************************************************************
# Execute the CSMCLI program.
# *****************************************************************************
cd "$CSMCLI"
"$CSMJDK/bin/java" -Djava.util.logging.config.file="$CSMCLI/logger.properties" -Dcli.registerall=false -Dcli.benchmark=true -classpath .:lib/csmcli.jar:lib/csmclient.jar:lib/jlog.jar:reptool.jar:lib/DMCommon.jar:lib/hwcommon.jar:lib/rmutilities.jar:lib/DMCoserverSoapProxy.jar:lib/ibmCIMClient.jar:lib/DMExtension.jar:lib/ibmjsse.jar:lib/soap.jar:lib/ESSHardwareLayer.jar:lib/j2ee.jar:lib/ssgfrmwk.jar:lib/ESS_HardwareEJB.jar:lib/mail.jar:lib/svchwcommon.jar:lib/HardwareLayer.jar:lib/webservice-runtime.jar:lib/MDMCommon.jar:lib/rmcommon.jar:lib/xerces.jar:lib/eccommon.jar:lib/rmmessages.jar:lib/xercesImpl.jar:lib/esshwcommon.jar:lib/rmresources.jar:lib/xmlParserAPIs.jar:lib/security.jar:lib/mdmLogger.jar:lib/ssgclihelp.jar:lib/rmua.jar:lib/clicommon.jar com.ibm.storage.mdm.cli.rm.RmCli "$@"
